
QGIS Application - Bug report #10339

crash regression (layer refactoring) when dragging a layer at the very top of the layers list

2014-05-23 10:45 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18760

Description

Steps to reproduce:

1. Create a new project

2. Add two layers (same data source) to the project

3. Select the last layer from the layers' list and drag it below the first layer (so visually it stays the same)

4. Using the same last layer, drag it above the first layer

4 Boom crash :)

Regression caused by the layer refactoring.

Associated revisions

Revision 2c51dcb7 - 2014-05-25 06:17 PM - Martin Dobias

Fix #10339 (crash when reordering layers)

This was caused by the recent addition of currentNode handling in model.

Changed to use persistent indices which are auto-updated when model changes.

History

#1 - 2014-05-25 09:23 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"2c51dcb7e90d26ceab743a29479e1e92a77e9dda".
